PCP-DMCACHE(1)

NAME
pcp-dmcache, pcp-lvmcache - report on logical storage device caches

SYNOPSIS
pcp [pcp options] dmcache [-i/--iops] [-R/--repeat N] [device ...]

DESCRIPTION
pcp-dmcache reports on the activity of any configured Device Mapper Cache targets. The reported information includes device IOPs, cache and metadata device utilization, as well as hit and miss rates and ratios for both reads and writes for each cache device.

pcp-lvmcache (Logical Volume Manager cache) is an exact synonym for pcp-dmcache (Device Mapper cache).

When invoked via the pcp(1) command, the -h/ --host, -a/ --archive, -O/ --origin, -s/ --samples, -t/ --interval, -Z/ --timezone and several other pcp options become indirectly available.

By default, pcp-dmcache reports on all available cache target devices (one line each, per sample), but this can be restricted to specific devices on the command line.

OPTIONS
Additional options are available for changing the output displayed by pcp-dmcache.

-i/ --iops displays total read and write operations instead of the default cache hit ratio.

-R/ --repeat changes the frequency at which the column heading is displayed. By default, a header is displayed after every tenth sample.

SEE ALSO
pcp(1), pmdadm(1), dmsetup(1), PCPIntro(1) and lvmcache(7).